=== debian/changelog ===
kfilemetadata-kf5 (5.116.0-4) unstable; urgency=medium

  * Team upload.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - add the dh-sequence-pkgkde-symbolshelper build dependency to use the
      pkgkde_symbolshelper automatically
    - drop the pkg-kde-tools build dependency, no more explicitly needed
    - drop all the manually specified addons and buildsystem for dh
  * Do not pass -DCMAKE_POLICY_VERSION_MINIMUM=3.5 to cmake: the actual issue
    of #1113077 was due to src:libappimage.
  * CI: update/simplify configuration.
  * Drop leftovers of the 'testsuite' autopkgtest.
  * Drop unused debian/meta/ stuff.
  * Disable the support for Mobipocket, as newer versions of
    src:kdegraphics-mobipocket are Qt 6 only:
    - drop the libqmobipocket-dev build dependency
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway:
    - drop patch usermetadatawritertest-skip-if-xattr-is-not-supported.patch,
      no more needed now
  * Drop the unused ${shlibs:Depends} substvar from libkf5filemetadata-doc,
    libkf5filemetadata-data, and libkf5filemetadata-dev.
  * Remove an obsolete maintscript entry.

 -- Pino Toscano <pino@debian.org>  Sat, 11 Oct 2025 13:15:30 +0200

kfilemetadata-kf5 (5.116.0-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Remove libpostproc-dev as B-D (Closes: #1114959).

 -- Patrick Franz <deltaone@debian.org>  Fri, 12 Sep 2025 22:20:40 +0200

kfilemetadata-kf5 (5.116.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Fix build failure with CMake 4 (Closes: #1113077).

 -- Patrick Franz <deltaone@debian.org>  Sat, 06 Sep 2025 12:02:43 +0200

kfilemetadata-kf5 (5.116.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.116.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Update symbols from build for 5.116.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 13 Apr 2025 00:40:43 +0200
