=== debian/control ===
Source: kfilemetadata-kf5
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf5,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 5.116.0~),
               libappimage-dev (>= 0.1.10~) [linux-any],
               libattr1-dev,
               libavcodec-dev (>= 7:3.1~),
               libavdevice-dev (>= 3.1~),
               libavformat-dev (>= 7:3.1~),
               libavutil-dev,
               libepub-dev,
               libexiv2-dev (>= 0.26~),
               libkf5archive-dev (>= 5.116.0~),
               libkf5config-dev (>= 5.116.0~),
               libkf5coreaddons-dev (>= 5.116.0~),
               libkf5i18n-dev (>= 5.116.0~),
               libpoppler-qt5-dev (>= 0.12.1),
               libqt5sql5-sqlite:native,
               libswscale-dev (>= 7:3.1~),
               libtag-dev (>= 1.11.1~),
               pkgconf,
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kfilemetadata
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kfilemetadata
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kfilemetadata.git

Package: libkf5filemetadata-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: catdoc,
Multi-Arch: same
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE frameworks.
 .
 This package contains the file type plugins.

Package: libkf5filemetadata-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE frameworks.

Package: libkf5filemetadata-dev
Section: libdevel
Architecture: any
Depends: libkf5filemetadata3 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5filemetadata-doc (= ${source:Version}),
Multi-Arch: same
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE frameworks.
 .
 This package contains the development files.

Package: libkf5filemetadata-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: library for extracting file metadata (documentation)
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE Plasma desktop.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5filemetadata3
Section: libs
Architecture: any
Depends: libkf5filemetadata-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Recommends: libkf5filemetadata-bin (= ${binary:Version}),
Description: library for extracting file metadata
 This library is for extracting file metadata.
 .
 kfilemetadata is part of the KDE frameworks.
