## kfilemetadata-kf5 5.116.0+p24.04+vstable+git20251016.0245

=== debian/changelog ===
kfilemetadata-kf5 (5.116.0+p24.04+vstable+git20251016.0245-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 02:45:19 +0000
