=== debian/changelog ===
kfilemetadata-kf5 (5.116.0+p24.04+vstable+git20251019.0407-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 04:07:34 +0000
