## kfilemetadata-kf5 5.116.0+p24.04+vstable+git20251123.1433

=== debian/changelog ===
kfilemetadata-kf5 (5.116.0+p24.04+vstable+git20251123.1433-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 14:33:15 +0000
