## kfilemetadata-kf5 5.116.0+p24.04+vunstable+git20251015.0944

=== debian/changelog ===
kfilemetadata-kf5 (5.116.0+p24.04+vunstable+git20251015.0944-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 09:44:55 +0000
