## kfilemetadata-kf5 5.116.0+p24.04+vunstable+git20251020.0212

=== debian/changelog ===
kfilemetadata-kf5 (5.116.0+p24.04+vunstable+git20251020.0212-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:12:10 +0000
