## kfilemetadata-kf5 5.116.0+p24.04+vunstable+git20251028.0856

=== debian/changelog ===
kfilemetadata-kf5 (5.116.0+p24.04+vunstable+git20251028.0856-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 08:56:19 +0000
